Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network78.2.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
78.2.0.0
Broadcast address
78.2.127.255
First usable
78.2.0.1
Last usable
78.2.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 4E020000 · Integer 1308753920 to 1308786687
Reverse DNS zones
0.2.78.in-addr.arpa
1.2.78.in-addr.arpa
2.2.78.in-addr.arpa
3.2.78.in-addr.arpa
4.2.78.in-addr.arpa
5.2.78.in-addr.arpa
6.2.78.in-addr.arpa
7.2.78.in-addr.arpa
8.2.78.in-addr.arpa
9.2.78.in-addr.arpa
10.2.78.in-addr.arpa
11.2.78.in-addr.arpa
12.2.78.in-addr.arpa
13.2.78.in-addr.arpa
14.2.78.in-addr.arpa
15.2.78.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001110.00000010.00000000.0000000078.2.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01001110.00000010.00000000.0000000078.2.0.0
Broadcast01001110.00000010.01111111.1111111178.2.127.255
Split into smaller subnets/26

78.2.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
178.2.0.0/2678.2.0.1 to 78.2.0.6278.2.0.6362
278.2.0.64/2678.2.0.65 to 78.2.0.12678.2.0.12762
378.2.0.128/2678.2.0.129 to 78.2.0.19078.2.0.19162
478.2.0.192/2678.2.0.193 to 78.2.0.25478.2.0.25562
578.2.1.0/2678.2.1.1 to 78.2.1.6278.2.1.6362
678.2.1.64/2678.2.1.65 to 78.2.1.12678.2.1.12762
778.2.1.128/2678.2.1.129 to 78.2.1.19078.2.1.19162
878.2.1.192/2678.2.1.193 to 78.2.1.25478.2.1.25562
978.2.2.0/2678.2.2.1 to 78.2.2.6278.2.2.6362
1078.2.2.64/2678.2.2.65 to 78.2.2.12678.2.2.12762
1178.2.2.128/2678.2.2.129 to 78.2.2.19078.2.2.19162
1278.2.2.192/2678.2.2.193 to 78.2.2.25478.2.2.25562
1378.2.3.0/2678.2.3.1 to 78.2.3.6278.2.3.6362
1478.2.3.64/2678.2.3.65 to 78.2.3.12678.2.3.12762
1578.2.3.128/2678.2.3.129 to 78.2.3.19078.2.3.19162
1678.2.3.192/2678.2.3.193 to 78.2.3.25478.2.3.25562
1778.2.4.0/2678.2.4.1 to 78.2.4.6278.2.4.6362
1878.2.4.64/2678.2.4.65 to 78.2.4.12678.2.4.12762
1978.2.4.128/2678.2.4.129 to 78.2.4.19078.2.4.19162
2078.2.4.192/2678.2.4.193 to 78.2.4.25478.2.4.25562
2178.2.5.0/2678.2.5.1 to 78.2.5.6278.2.5.6362
2278.2.5.64/2678.2.5.65 to 78.2.5.12678.2.5.12762
2378.2.5.128/2678.2.5.129 to 78.2.5.19078.2.5.19162
2478.2.5.192/2678.2.5.193 to 78.2.5.25478.2.5.25562
2578.2.6.0/2678.2.6.1 to 78.2.6.6278.2.6.6362
2678.2.6.64/2678.2.6.65 to 78.2.6.12678.2.6.12762
2778.2.6.128/2678.2.6.129 to 78.2.6.19078.2.6.19162
2878.2.6.192/2678.2.6.193 to 78.2.6.25478.2.6.25562
2978.2.7.0/2678.2.7.1 to 78.2.7.6278.2.7.6362
3078.2.7.64/2678.2.7.65 to 78.2.7.12678.2.7.12762
3178.2.7.128/2678.2.7.129 to 78.2.7.19078.2.7.19162
3278.2.7.192/2678.2.7.193 to 78.2.7.25478.2.7.25562
3378.2.8.0/2678.2.8.1 to 78.2.8.6278.2.8.6362
3478.2.8.64/2678.2.8.65 to 78.2.8.12678.2.8.12762
3578.2.8.128/2678.2.8.129 to 78.2.8.19078.2.8.19162
3678.2.8.192/2678.2.8.193 to 78.2.8.25478.2.8.25562
3778.2.9.0/2678.2.9.1 to 78.2.9.6278.2.9.6362
3878.2.9.64/2678.2.9.65 to 78.2.9.12678.2.9.12762
3978.2.9.128/2678.2.9.129 to 78.2.9.19078.2.9.19162
4078.2.9.192/2678.2.9.193 to 78.2.9.25478.2.9.25562
4178.2.10.0/2678.2.10.1 to 78.2.10.6278.2.10.6362
4278.2.10.64/2678.2.10.65 to 78.2.10.12678.2.10.12762
4378.2.10.128/2678.2.10.129 to 78.2.10.19078.2.10.19162
4478.2.10.192/2678.2.10.193 to 78.2.10.25478.2.10.25562
4578.2.11.0/2678.2.11.1 to 78.2.11.6278.2.11.6362
4678.2.11.64/2678.2.11.65 to 78.2.11.12678.2.11.12762
4778.2.11.128/2678.2.11.129 to 78.2.11.19078.2.11.19162
4878.2.11.192/2678.2.11.193 to 78.2.11.25478.2.11.25562
4978.2.12.0/2678.2.12.1 to 78.2.12.6278.2.12.6362
5078.2.12.64/2678.2.12.65 to 78.2.12.12678.2.12.12762
5178.2.12.128/2678.2.12.129 to 78.2.12.19078.2.12.19162
5278.2.12.192/2678.2.12.193 to 78.2.12.25478.2.12.25562
5378.2.13.0/2678.2.13.1 to 78.2.13.6278.2.13.6362
5478.2.13.64/2678.2.13.65 to 78.2.13.12678.2.13.12762
5578.2.13.128/2678.2.13.129 to 78.2.13.19078.2.13.19162
5678.2.13.192/2678.2.13.193 to 78.2.13.25478.2.13.25562
5778.2.14.0/2678.2.14.1 to 78.2.14.6278.2.14.6362
5878.2.14.64/2678.2.14.65 to 78.2.14.12678.2.14.12762
5978.2.14.128/2678.2.14.129 to 78.2.14.19078.2.14.19162
6078.2.14.192/2678.2.14.193 to 78.2.14.25478.2.14.25562
6178.2.15.0/2678.2.15.1 to 78.2.15.6278.2.15.6362
6278.2.15.64/2678.2.15.65 to 78.2.15.12678.2.15.12762
6378.2.15.128/2678.2.15.129 to 78.2.15.19078.2.15.19162
6478.2.15.192/2678.2.15.193 to 78.2.15.25478.2.15.25562
6578.2.16.0/2678.2.16.1 to 78.2.16.6278.2.16.6362
6678.2.16.64/2678.2.16.65 to 78.2.16.12678.2.16.12762
6778.2.16.128/2678.2.16.129 to 78.2.16.19078.2.16.19162
6878.2.16.192/2678.2.16.193 to 78.2.16.25478.2.16.25562
6978.2.17.0/2678.2.17.1 to 78.2.17.6278.2.17.6362
7078.2.17.64/2678.2.17.65 to 78.2.17.12678.2.17.12762
7178.2.17.128/2678.2.17.129 to 78.2.17.19078.2.17.19162
7278.2.17.192/2678.2.17.193 to 78.2.17.25478.2.17.25562
7378.2.18.0/2678.2.18.1 to 78.2.18.6278.2.18.6362
7478.2.18.64/2678.2.18.65 to 78.2.18.12678.2.18.12762
7578.2.18.128/2678.2.18.129 to 78.2.18.19078.2.18.19162
7678.2.18.192/2678.2.18.193 to 78.2.18.25478.2.18.25562
7778.2.19.0/2678.2.19.1 to 78.2.19.6278.2.19.6362
7878.2.19.64/2678.2.19.65 to 78.2.19.12678.2.19.12762
7978.2.19.128/2678.2.19.129 to 78.2.19.19078.2.19.19162
8078.2.19.192/2678.2.19.193 to 78.2.19.25478.2.19.25562
8178.2.20.0/2678.2.20.1 to 78.2.20.6278.2.20.6362
8278.2.20.64/2678.2.20.65 to 78.2.20.12678.2.20.12762
8378.2.20.128/2678.2.20.129 to 78.2.20.19078.2.20.19162
8478.2.20.192/2678.2.20.193 to 78.2.20.25478.2.20.25562
8578.2.21.0/2678.2.21.1 to 78.2.21.6278.2.21.6362
8678.2.21.64/2678.2.21.65 to 78.2.21.12678.2.21.12762
8778.2.21.128/2678.2.21.129 to 78.2.21.19078.2.21.19162
8878.2.21.192/2678.2.21.193 to 78.2.21.25478.2.21.25562
8978.2.22.0/2678.2.22.1 to 78.2.22.6278.2.22.6362
9078.2.22.64/2678.2.22.65 to 78.2.22.12678.2.22.12762
9178.2.22.128/2678.2.22.129 to 78.2.22.19078.2.22.19162
9278.2.22.192/2678.2.22.193 to 78.2.22.25478.2.22.25562
9378.2.23.0/2678.2.23.1 to 78.2.23.6278.2.23.6362
9478.2.23.64/2678.2.23.65 to 78.2.23.12678.2.23.12762
9578.2.23.128/2678.2.23.129 to 78.2.23.19078.2.23.19162
9678.2.23.192/2678.2.23.193 to 78.2.23.25478.2.23.25562
9778.2.24.0/2678.2.24.1 to 78.2.24.6278.2.24.6362
9878.2.24.64/2678.2.24.65 to 78.2.24.12678.2.24.12762
9978.2.24.128/2678.2.24.129 to 78.2.24.19078.2.24.19162
10078.2.24.192/2678.2.24.193 to 78.2.24.25478.2.24.25562
10178.2.25.0/2678.2.25.1 to 78.2.25.6278.2.25.6362
10278.2.25.64/2678.2.25.65 to 78.2.25.12678.2.25.12762
10378.2.25.128/2678.2.25.129 to 78.2.25.19078.2.25.19162
10478.2.25.192/2678.2.25.193 to 78.2.25.25478.2.25.25562
10578.2.26.0/2678.2.26.1 to 78.2.26.6278.2.26.6362
10678.2.26.64/2678.2.26.65 to 78.2.26.12678.2.26.12762
10778.2.26.128/2678.2.26.129 to 78.2.26.19078.2.26.19162
10878.2.26.192/2678.2.26.193 to 78.2.26.25478.2.26.25562
10978.2.27.0/2678.2.27.1 to 78.2.27.6278.2.27.6362
11078.2.27.64/2678.2.27.65 to 78.2.27.12678.2.27.12762
11178.2.27.128/2678.2.27.129 to 78.2.27.19078.2.27.19162
11278.2.27.192/2678.2.27.193 to 78.2.27.25478.2.27.25562
11378.2.28.0/2678.2.28.1 to 78.2.28.6278.2.28.6362
11478.2.28.64/2678.2.28.65 to 78.2.28.12678.2.28.12762
11578.2.28.128/2678.2.28.129 to 78.2.28.19078.2.28.19162
11678.2.28.192/2678.2.28.193 to 78.2.28.25478.2.28.25562
11778.2.29.0/2678.2.29.1 to 78.2.29.6278.2.29.6362
11878.2.29.64/2678.2.29.65 to 78.2.29.12678.2.29.12762
11978.2.29.128/2678.2.29.129 to 78.2.29.19078.2.29.19162
12078.2.29.192/2678.2.29.193 to 78.2.29.25478.2.29.25562
12178.2.30.0/2678.2.30.1 to 78.2.30.6278.2.30.6362
12278.2.30.64/2678.2.30.65 to 78.2.30.12678.2.30.12762
12378.2.30.128/2678.2.30.129 to 78.2.30.19078.2.30.19162
12478.2.30.192/2678.2.30.193 to 78.2.30.25478.2.30.25562
12578.2.31.0/2678.2.31.1 to 78.2.31.6278.2.31.6362
12678.2.31.64/2678.2.31.65 to 78.2.31.12678.2.31.12762
12778.2.31.128/2678.2.31.129 to 78.2.31.19078.2.31.19162
12878.2.31.192/2678.2.31.193 to 78.2.31.25478.2.31.25562
12978.2.32.0/2678.2.32.1 to 78.2.32.6278.2.32.6362
13078.2.32.64/2678.2.32.65 to 78.2.32.12678.2.32.12762
13178.2.32.128/2678.2.32.129 to 78.2.32.19078.2.32.19162
13278.2.32.192/2678.2.32.193 to 78.2.32.25478.2.32.25562
13378.2.33.0/2678.2.33.1 to 78.2.33.6278.2.33.6362
13478.2.33.64/2678.2.33.65 to 78.2.33.12678.2.33.12762
13578.2.33.128/2678.2.33.129 to 78.2.33.19078.2.33.19162
13678.2.33.192/2678.2.33.193 to 78.2.33.25478.2.33.25562
13778.2.34.0/2678.2.34.1 to 78.2.34.6278.2.34.6362
13878.2.34.64/2678.2.34.65 to 78.2.34.12678.2.34.12762
13978.2.34.128/2678.2.34.129 to 78.2.34.19078.2.34.19162
14078.2.34.192/2678.2.34.193 to 78.2.34.25478.2.34.25562
14178.2.35.0/2678.2.35.1 to 78.2.35.6278.2.35.6362
14278.2.35.64/2678.2.35.65 to 78.2.35.12678.2.35.12762
14378.2.35.128/2678.2.35.129 to 78.2.35.19078.2.35.19162
14478.2.35.192/2678.2.35.193 to 78.2.35.25478.2.35.25562
14578.2.36.0/2678.2.36.1 to 78.2.36.6278.2.36.6362
14678.2.36.64/2678.2.36.65 to 78.2.36.12678.2.36.12762
14778.2.36.128/2678.2.36.129 to 78.2.36.19078.2.36.19162
14878.2.36.192/2678.2.36.193 to 78.2.36.25478.2.36.25562
14978.2.37.0/2678.2.37.1 to 78.2.37.6278.2.37.6362
15078.2.37.64/2678.2.37.65 to 78.2.37.12678.2.37.12762
15178.2.37.128/2678.2.37.129 to 78.2.37.19078.2.37.19162
15278.2.37.192/2678.2.37.193 to 78.2.37.25478.2.37.25562
15378.2.38.0/2678.2.38.1 to 78.2.38.6278.2.38.6362
15478.2.38.64/2678.2.38.65 to 78.2.38.12678.2.38.12762
15578.2.38.128/2678.2.38.129 to 78.2.38.19078.2.38.19162
15678.2.38.192/2678.2.38.193 to 78.2.38.25478.2.38.25562
15778.2.39.0/2678.2.39.1 to 78.2.39.6278.2.39.6362
15878.2.39.64/2678.2.39.65 to 78.2.39.12678.2.39.12762
15978.2.39.128/2678.2.39.129 to 78.2.39.19078.2.39.19162
16078.2.39.192/2678.2.39.193 to 78.2.39.25478.2.39.25562
16178.2.40.0/2678.2.40.1 to 78.2.40.6278.2.40.6362
16278.2.40.64/2678.2.40.65 to 78.2.40.12678.2.40.12762
16378.2.40.128/2678.2.40.129 to 78.2.40.19078.2.40.19162
16478.2.40.192/2678.2.40.193 to 78.2.40.25478.2.40.25562
16578.2.41.0/2678.2.41.1 to 78.2.41.6278.2.41.6362
16678.2.41.64/2678.2.41.65 to 78.2.41.12678.2.41.12762
16778.2.41.128/2678.2.41.129 to 78.2.41.19078.2.41.19162
16878.2.41.192/2678.2.41.193 to 78.2.41.25478.2.41.25562
16978.2.42.0/2678.2.42.1 to 78.2.42.6278.2.42.6362
17078.2.42.64/2678.2.42.65 to 78.2.42.12678.2.42.12762
17178.2.42.128/2678.2.42.129 to 78.2.42.19078.2.42.19162
17278.2.42.192/2678.2.42.193 to 78.2.42.25478.2.42.25562
17378.2.43.0/2678.2.43.1 to 78.2.43.6278.2.43.6362
17478.2.43.64/2678.2.43.65 to 78.2.43.12678.2.43.12762
17578.2.43.128/2678.2.43.129 to 78.2.43.19078.2.43.19162
17678.2.43.192/2678.2.43.193 to 78.2.43.25478.2.43.25562
17778.2.44.0/2678.2.44.1 to 78.2.44.6278.2.44.6362
17878.2.44.64/2678.2.44.65 to 78.2.44.12678.2.44.12762
17978.2.44.128/2678.2.44.129 to 78.2.44.19078.2.44.19162
18078.2.44.192/2678.2.44.193 to 78.2.44.25478.2.44.25562
18178.2.45.0/2678.2.45.1 to 78.2.45.6278.2.45.6362
18278.2.45.64/2678.2.45.65 to 78.2.45.12678.2.45.12762
18378.2.45.128/2678.2.45.129 to 78.2.45.19078.2.45.19162
18478.2.45.192/2678.2.45.193 to 78.2.45.25478.2.45.25562
18578.2.46.0/2678.2.46.1 to 78.2.46.6278.2.46.6362
18678.2.46.64/2678.2.46.65 to 78.2.46.12678.2.46.12762
18778.2.46.128/2678.2.46.129 to 78.2.46.19078.2.46.19162
18878.2.46.192/2678.2.46.193 to 78.2.46.25478.2.46.25562
18978.2.47.0/2678.2.47.1 to 78.2.47.6278.2.47.6362
19078.2.47.64/2678.2.47.65 to 78.2.47.12678.2.47.12762
19178.2.47.128/2678.2.47.129 to 78.2.47.19078.2.47.19162
19278.2.47.192/2678.2.47.193 to 78.2.47.25478.2.47.25562
19378.2.48.0/2678.2.48.1 to 78.2.48.6278.2.48.6362
19478.2.48.64/2678.2.48.65 to 78.2.48.12678.2.48.12762
19578.2.48.128/2678.2.48.129 to 78.2.48.19078.2.48.19162
19678.2.48.192/2678.2.48.193 to 78.2.48.25478.2.48.25562
19778.2.49.0/2678.2.49.1 to 78.2.49.6278.2.49.6362
19878.2.49.64/2678.2.49.65 to 78.2.49.12678.2.49.12762
19978.2.49.128/2678.2.49.129 to 78.2.49.19078.2.49.19162
20078.2.49.192/2678.2.49.193 to 78.2.49.25478.2.49.25562
20178.2.50.0/2678.2.50.1 to 78.2.50.6278.2.50.6362
20278.2.50.64/2678.2.50.65 to 78.2.50.12678.2.50.12762
20378.2.50.128/2678.2.50.129 to 78.2.50.19078.2.50.19162
20478.2.50.192/2678.2.50.193 to 78.2.50.25478.2.50.25562
20578.2.51.0/2678.2.51.1 to 78.2.51.6278.2.51.6362
20678.2.51.64/2678.2.51.65 to 78.2.51.12678.2.51.12762
20778.2.51.128/2678.2.51.129 to 78.2.51.19078.2.51.19162
20878.2.51.192/2678.2.51.193 to 78.2.51.25478.2.51.25562
20978.2.52.0/2678.2.52.1 to 78.2.52.6278.2.52.6362
21078.2.52.64/2678.2.52.65 to 78.2.52.12678.2.52.12762
21178.2.52.128/2678.2.52.129 to 78.2.52.19078.2.52.19162
21278.2.52.192/2678.2.52.193 to 78.2.52.25478.2.52.25562
21378.2.53.0/2678.2.53.1 to 78.2.53.6278.2.53.6362
21478.2.53.64/2678.2.53.65 to 78.2.53.12678.2.53.12762
21578.2.53.128/2678.2.53.129 to 78.2.53.19078.2.53.19162
21678.2.53.192/2678.2.53.193 to 78.2.53.25478.2.53.25562
21778.2.54.0/2678.2.54.1 to 78.2.54.6278.2.54.6362
21878.2.54.64/2678.2.54.65 to 78.2.54.12678.2.54.12762
21978.2.54.128/2678.2.54.129 to 78.2.54.19078.2.54.19162
22078.2.54.192/2678.2.54.193 to 78.2.54.25478.2.54.25562
22178.2.55.0/2678.2.55.1 to 78.2.55.6278.2.55.6362
22278.2.55.64/2678.2.55.65 to 78.2.55.12678.2.55.12762
22378.2.55.128/2678.2.55.129 to 78.2.55.19078.2.55.19162
22478.2.55.192/2678.2.55.193 to 78.2.55.25478.2.55.25562
22578.2.56.0/2678.2.56.1 to 78.2.56.6278.2.56.6362
22678.2.56.64/2678.2.56.65 to 78.2.56.12678.2.56.12762
22778.2.56.128/2678.2.56.129 to 78.2.56.19078.2.56.19162
22878.2.56.192/2678.2.56.193 to 78.2.56.25478.2.56.25562
22978.2.57.0/2678.2.57.1 to 78.2.57.6278.2.57.6362
23078.2.57.64/2678.2.57.65 to 78.2.57.12678.2.57.12762
23178.2.57.128/2678.2.57.129 to 78.2.57.19078.2.57.19162
23278.2.57.192/2678.2.57.193 to 78.2.57.25478.2.57.25562
23378.2.58.0/2678.2.58.1 to 78.2.58.6278.2.58.6362
23478.2.58.64/2678.2.58.65 to 78.2.58.12678.2.58.12762
23578.2.58.128/2678.2.58.129 to 78.2.58.19078.2.58.19162
23678.2.58.192/2678.2.58.193 to 78.2.58.25478.2.58.25562
23778.2.59.0/2678.2.59.1 to 78.2.59.6278.2.59.6362
23878.2.59.64/2678.2.59.65 to 78.2.59.12678.2.59.12762
23978.2.59.128/2678.2.59.129 to 78.2.59.19078.2.59.19162
24078.2.59.192/2678.2.59.193 to 78.2.59.25478.2.59.25562
24178.2.60.0/2678.2.60.1 to 78.2.60.6278.2.60.6362
24278.2.60.64/2678.2.60.65 to 78.2.60.12678.2.60.12762
24378.2.60.128/2678.2.60.129 to 78.2.60.19078.2.60.19162
24478.2.60.192/2678.2.60.193 to 78.2.60.25478.2.60.25562
24578.2.61.0/2678.2.61.1 to 78.2.61.6278.2.61.6362
24678.2.61.64/2678.2.61.65 to 78.2.61.12678.2.61.12762
24778.2.61.128/2678.2.61.129 to 78.2.61.19078.2.61.19162
24878.2.61.192/2678.2.61.193 to 78.2.61.25478.2.61.25562
24978.2.62.0/2678.2.62.1 to 78.2.62.6278.2.62.6362
25078.2.62.64/2678.2.62.65 to 78.2.62.12678.2.62.12762
25178.2.62.128/2678.2.62.129 to 78.2.62.19078.2.62.19162
25278.2.62.192/2678.2.62.193 to 78.2.62.25478.2.62.25562
25378.2.63.0/2678.2.63.1 to 78.2.63.6278.2.63.6362
25478.2.63.64/2678.2.63.65 to 78.2.63.12678.2.63.12762
25578.2.63.128/2678.2.63.129 to 78.2.63.19078.2.63.19162
25678.2.63.192/2678.2.63.193 to 78.2.63.25478.2.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses